petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESGetObjective

Returns the objective function.

### Synopsis

    PetscErrorCode SNESGetObjective(SNES snes,PetscErrorCode (**obj)(SNES,Vec,PetscReal*,void*),void **ctx)

Not Collective

### Input Parameter

snes -the SNES context

### Output Parameter

| obj | - objective evaluation routine (or NULL); see SNESObjectFunction for details
| ctx | - the function context (or NULL)

### Keywords

SNES, nonlinear, get, objective

### See Also

SNESSetObjective(), SNESGetSolution()

Level:advanced
Location:src/snes/interface/snesob.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages